# PRFC1155_ObjectSyntax Class Reference

`#include <rfc1155.h>`

Inheritance diagram for PRFC1155_ObjectSyntax:

List of all members.

## Public Member Functions

| PRFC1155_ObjectSyntax (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator PRFC1155_SimpleSyntax & ()
| operator const PRFC1155_SimpleSyntax & () const
| operator PRFC1155_ApplicationSyntax & ()
| operator const PRFC1155_ApplicationSyntax & () const
PBoolean | CreateObject ()
PObject * | Clone () const
| Create a copy of the class on the heap.

## Constructor & Destructor Documentation

PRFC1155_ObjectSyntax::PRFC1155_ObjectSyntax | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* PRFC1155_ObjectSyntax::Clone | ( |  | ) | const`[virtual]`

Create a copy of the class on the heap.

The exact semantics of the descendent class determine what is required to make a duplicate of the instance. Not all classes can even do a clone operation.

The main user of the clone function is the `PDictionary` class as it requires copies of the dictionary keys.

The default behaviour is for this function to assert.

Returns:
  pointer to new copy of the class instance.

Reimplemented from PObject.

PBoolean PRFC1155_ObjectSyntax::CreateObject | ( |  | ) | `[virtual]`

Implements PASN_Choice.

PRFC1155_ObjectSyntax::operator const PRFC1155_ApplicationSyntax & | ( |  | ) | const

PRFC1155_ObjectSyntax::operator const PRFC1155_SimpleSyntax & | ( |  | ) | const

PRFC1155_ObjectSyntax::operator PRFC1155_ApplicationSyntax & | ( |  | ) |

PRFC1155_ObjectSyntax::operator PRFC1155_SimpleSyntax & | ( |  | ) |

The documentation for this class was generated from the following file:

- rfc1155.h